import { Provider, Session, User, UserCredentials } from '@supabase/gotrue-js';
import { ApiError } from '@supabase/gotrue-js/dist/main/GoTrueApi';
export declare type UseSignInState = {
    error?: ApiError | null;
    fetching: boolean;
    session?: Session | null;
    user?: User | null;
};
export declare type UseSignInResponse = [
    UseSignInState,
    (credentials: UserCredentials, options?: UseSignInOptions) => Promise<Pick<UseSignInState, 'error' | 'session' | 'user'>>
];
export declare type UseSignInOptions = {
    redirectTo?: string;
    scopes?: string;
};
export declare type UseSignInConfig = {
    provider?: Provider;
    options?: UseSignInOptions;
};
export declare function useSignIn(config?: UseSignInConfig): UseSignInResponse;
