import { Session, User, UserCredentials } from '@supabase/gotrue-js';
import { ApiError } from '@supabase/gotrue-js/dist/main/GoTrueApi';
export declare type UseSignUpState = {
    error?: ApiError | null;
    fetching: boolean;
    session?: Session | null;
    user?: User | null;
};
export declare type UseSignUpResponse = [
    UseSignUpState,
    (credentials: UserCredentials, options?: UseSignUpOptions) => Promise<Pick<UseSignUpState, 'error' | 'session' | 'user'>>
];
export declare type UseSignUpOptions = {
    redirectTo?: string;
};
export declare type UseSignUpConfig = {
    options?: UseSignUpOptions;
};
export declare function useSignUp(config?: UseSignUpConfig): UseSignUpResponse;
